Bug 185378 - system-config-soundcard displays devices that aren't available
system-config-soundcard displays devices that aren't available
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2006-03-13 22:29 EST by Tim Mayberry
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-30 09:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Sound Card 0 (37.85 KB, text/plain)
2006-03-13 22:29 EST, Tim Mayberry
no flags Details
Sound Card 1 (34.16 KB, image/png)
2006-03-13 22:30 EST, Tim Mayberry
no flags Details
Sound Card 2 (35.62 KB, image/png)
2006-03-13 22:31 EST, Tim Mayberry
no flags Details
scsound.log with mysterious PNPb006 in system-config-soundcard (6.82 KB, text/plain)
2006-03-23 14:52 EST, Leszek Matok
no flags Details

  None (edit)
Description Tim Mayberry 2006-03-13 22:29:03 EST
Description of problem:

I have two soundcard devices in my system, one is built into the
motherboard/chipset and the other is an old creative soundblaster live

I decided to change my default device to be the onboard device and had some
trouble doing so.

When I use system-config-soundcard as you can see from the attached screenshots
I am presented with three audio devices. The first is what I would expect, the
SB Live. as you can see in screenshot1. The second device is something called a
PNPb006 and the module listed is snd-mpu401, which as I understood it is related
to midi and a quick google indicates that it stands for MIDI Processing Unit
401. The third device listed is a silicon Integrated System [SIS] Sound
controller and is what I expected was the device that corresponded to the built
in soundcard as the module is snd-intel8x0.

If I select the third device 'Silicon' and hit play then I can hear the sample
sound, so I select that as my default soundcard and close the dialog.

The problem is that when I open an application that produces sound it is not
output from the onboard device but rather the Creative SB Live card.

It looks like that this occurs is because an asound.conf is written that is

defaults.pcm.card 2 
defaults.pcm.device 0 
defaults.ctl.card 2

but if you look at the relevant parts of modprobe.conf

alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
options snd-emu10k1 index=0
alias snd-card-1 snd-intel8x0
options snd-card-1 index=1
options snd-intel8x0 index=1
alias snd-card-2 snd-mpu401
options snd-card-2 index=2
options snd-mpu401 index=2

The onboard sound device is actually card 1. It might be that as snd-card-2 does
not have any pcm devices and so it defaults to card 0 but that is just a guess.

In order to select my onboard soundcard as the default device I have to select
the PNPb006 device.
Comment 1 Tim Mayberry 2006-03-13 22:29:03 EST
Created attachment 126083 [details]
Sound Card 0
Comment 2 Tim Mayberry 2006-03-13 22:30:37 EST
Created attachment 126084 [details]
Sound Card 1
Comment 3 Tim Mayberry 2006-03-13 22:31:08 EST
Created attachment 126085 [details]
Sound Card 2
Comment 4 Martin Stransky 2006-03-15 05:51:03 EST
Please run system-config-soundcard and attach /root/scsound.log, it'll help me.
Comment 5 Tim Mayberry 2006-03-15 22:00:36 EST
I rebuilt my system without the second soundcard so I cannot supply the
requested log file at the moment. I will try to re-insert the card and reproduce
this bug as ASAP but that may be a few days, sorry.
Comment 6 Leszek Matok 2006-03-23 14:47:40 EST
I have very similar situation, which caused an effect I wanted to enter as
separate bug, but I'll try here.

I have onboard SiS and PCI Sound Blaster 128 (IIRC). /proc/asound/cards follows:
 0 [AudioPCI       ]: ENS1371 - Ensoniq AudioPCI
                      Ensoniq AudioPCI ENS1371 at 0xc800, irq 11
 1 [SI7012         ]: ICH - SiS SI7012
                      SiS SI7012 with CMI9738 at 0xdc00, irq 11

On Fedora 5 (installed and running), system-config-sound shows 3 cards: Ensoniq,
PNPb006 and Silicon. First two play via the same SB card and the third, Silicon,
(correctly) plays with SiS chip.

Now all is in place except for the strange PNPb006 device (snd-mpu401).

But when I installed the system, I think I remember the cards were in some other
order (Silicon, PNPb006, Ensoniq probably). I don't remember if I changed the
"default" device, but it ended up being "2,0" for playback and "2" for mixer
(asound.conf identical to Tim's).

I was able to use XMMS and MPlayer, I was able to use the GNOME mixer and
probably use every other program allowing me to chose between ALSA devices. But
what made me confused and nervous, my keyboard volume/mute buttons were deaf,
ESD refused to start, alsamixer refused to work without -c and so on.

It was only after long investigation that I finally got to /etc/asound.conf.

Changing /etc/asound.conf wasn't even necessary - it turned out
system-config-sound can fix it by itself, because now my main card is the first
(card 0, pcm 0,0 and 0,1).

Now I can change the default card to "Silicon" (which is card 1 and pcm 1,0) and
it writes 2/2,0 to asound.conf, making many sound functions unavailable (as Tim
wrote). This is a bug, as it should write 1/1,0, it also shoulnd't treat
snd-mpu401 module as separate card, as ALSA doesn't. I can provide you with any
information requested. Rith now I'll attach my /root/scsound.log, but it's a
pity it's not the one from the installation, when card order was wrong.
Comment 7 Leszek Matok 2006-03-23 14:52:31 EST
Created attachment 126567 [details]
scsound.log with mysterious PNPb006 in system-config-soundcard
Comment 8 Paulk Done 2006-05-04 16:01:04 EDT
I think I have the same problem in FC4. See:

However, in FC5 I hit a new FC5 system-config-soundcard/kudzu bug which means I
can't get to the point of trying this issue in FC5. 

In FC4 if I get the following..

> cat /proc/asound/cards
0 [I82801DBICH4 ]: ICH4 - Intel 82801DB-ICH4
Intel 82801DB-ICH4 with STAC9750,51 at 0xf4fff800, irq 5
1 [Modem ]: ICH-MODEM - Intel 82801DB-ICH4 Modem
Intel 82801DB-ICH4 Modem at 0xb400, irq 5
2 [Audio ]: USB-Audio - Altec Lansing XT1 - USB Audio
Altec Lansing Technologies, Inc. Altec Lansing XT1 - USB Audio at usb-0000:00:1

system-config-soundcard seems to rightly ignore 'card' 1 because it is really a
modem. However, when system-config-soundcard writes to /etc/asound.conf it
writes the USB device to send sound to, as device number 1 instead of device
number 2 - so I don't hear sound from the USB speakers
Comment 9 Martin Stransky 2006-06-30 09:38:02 EDT
you can check the new s-c-s, select the "System" tab, choose /proc or HAL
detection method a configure your USB card...

Note You need to log in before you can comment on or make changes to this bug.